Index: src/sas/qtgui/Plotting/UnitTesting/Plotter2DTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/Plotter2DTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
+++ src/sas/qtgui/Plotting/UnitTesting/Plotter2DTest.py	(revision b2a5042a962948503c534876c6215195a324cdc9)
@@ -2,4 +2,5 @@
 import unittest
 import numpy
+import platform
 
 from PyQt4 import QtGui
@@ -48,4 +49,5 @@
         self.data.title="Test data"
         self.data.id = 1
+        self.isWindows = platform.system=="Windows"
 
     def tearDown(self):
@@ -156,5 +158,19 @@
         self.assertEqual(actions[2].text(), "Copy to Clipboard")
 
+        # Trigger Toggle Grid and make sure the method is called
+        self.assertEqual(actions[4].text(), "Toggle Grid On/Off")
+        self.plotter.ax.grid = MagicMock()
+        actions[4].trigger()
+        self.assertTrue(self.plotter.ax.grid.called)
+
+        # Trigger Change Scale and make sure the method is called
+        self.assertEqual(actions[6].text(), "Toggle Linear/Log Scale")
+        FigureCanvas.draw_idle = MagicMock()
+        actions[6].trigger()
+        self.assertTrue(FigureCanvas.draw_idle.called)
+
         # Spy on cliboard's dataChanged() signal
+        if not self.isWindows:
+            return
         self.clipboard_called = False
         def done():
@@ -164,17 +180,5 @@
         QtGui.qApp.processEvents()
         # Make sure clipboard got updated.
-        #self.assertTrue(self.clipboard_called)
-
-        # Trigger Toggle Grid and make sure the method is called
-        self.assertEqual(actions[4].text(), "Toggle Grid On/Off")
-        self.plotter.ax.grid = MagicMock()
-        actions[4].trigger()
-        self.assertTrue(self.plotter.ax.grid.called)
-
-        # Trigger Change Scale and make sure the method is called
-        self.assertEqual(actions[6].text(), "Toggle Linear/Log Scale")
-        FigureCanvas.draw_idle = MagicMock()
-        actions[6].trigger()
-        self.assertTrue(FigureCanvas.draw_idle.called)
+        self.assertTrue(self.clipboard_called)
 
     def testShowNoPlot(self):
Index: src/sas/qtgui/Plotting/UnitTesting/PlotterBaseTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/PlotterBaseTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
+++ src/sas/qtgui/Plotting/UnitTesting/PlotterBaseTest.py	(revision b2a5042a962948503c534876c6215195a324cdc9)
@@ -1,4 +1,5 @@
 import sys
 import unittest
+import platform
 from mock import patch, MagicMock
 
@@ -35,4 +36,5 @@
         #PlotterBase.PlotterBase.contextMenuQuickPlot = MagicMock()
         self.plotter = PlotterBase.PlotterBase(None, manager=dummy_manager(), quickplot=True)
+        self.isWindows = platform.system=="Windows"
 
     def tearDown(self):
@@ -147,4 +149,6 @@
 
         # Spy on cliboard's dataChanged() signal
+        if not self.isWindows:
+            return
         self.clipboard_called = False
         def done():
Index: src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
+++ src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py	(revision b2a5042a962948503c534876c6215195a324cdc9)
@@ -1,4 +1,5 @@
 import sys
 import unittest
+import platform
 
 from PyQt4 import QtGui
@@ -37,4 +38,5 @@
         self.data.name="Test name"
         self.data.id = 1
+        self.isWindows = platform.system=="Windows"
 
     def tearDown(self):
@@ -94,5 +96,19 @@
         self.assertEqual(actions[2].text(), "Copy to Clipboard")
 
+        # Trigger Toggle Grid and make sure the method is called
+        self.assertEqual(actions[4].text(), "Toggle Grid On/Off")
+        self.plotter.ax.grid = MagicMock()
+        actions[4].trigger()
+        self.assertTrue(self.plotter.ax.grid.called)
+
+        # Trigger Change Scale and make sure the method is called
+        self.assertEqual(actions[6].text(), "Change Scale")
+        self.plotter.properties.exec_ = MagicMock(return_value=QtGui.QDialog.Rejected)
+        actions[6].trigger()
+        self.assertTrue(self.plotter.properties.exec_.called)
+
         # Spy on cliboard's dataChanged() signal
+        if not self.isWindows:
+            return
         self.clipboard_called = False
         def done():
@@ -102,17 +118,5 @@
         QtGui.qApp.processEvents()
         # Make sure clipboard got updated.
-        #self.assertTrue(self.clipboard_called)
-
-        # Trigger Toggle Grid and make sure the method is called
-        self.assertEqual(actions[4].text(), "Toggle Grid On/Off")
-        self.plotter.ax.grid = MagicMock()
-        actions[4].trigger()
-        self.assertTrue(self.plotter.ax.grid.called)
-
-        # Trigger Change Scale and make sure the method is called
-        self.assertEqual(actions[6].text(), "Change Scale")
-        self.plotter.properties.exec_ = MagicMock(return_value=QtGui.QDialog.Rejected)
-        actions[6].trigger()
-        self.assertTrue(self.plotter.properties.exec_.called)
+        self.assertTrue(self.clipboard_called)
 
     def testXyTransform(self):
